+++
title = "Self-hosting a website in 2025"
description = ""
date = 2025-03-12
updated = 2025-03-12
tags = ["Self-Hosting", "Ci/CD", "Linux", "Caddy", "Zola"]
draft = false
+++

## Introduction

[Zola](https://www.getzola.org/) is a static site generator written in Rust. It is fast, simple, and easy to use. This blog is built using
Zola and hosted on a Linux server using [Caddy](https://caddyserver.com/).

This guide will walk you through setting up Zola and Caddy to host your website.

## Prerequisites

Before we start, ensure you have the following:

1. **A Linux server** - I am using [Pop!_OS 24.04 LTS alpha](https://system76.com/cosmic/).
2. **A domain name** pointing to your server - I am using [Cloudflare](https://www.cloudflare.com/).
3. **A reverse proxy** - I am using [Caddy](https://caddyserver.com/).
4. **A CI/CD platform** - I am using [Gitea](/blog/gitea-open-source-github-alternative)

## Installation

### Step 1: Install Zola

We will install Zola from source because there is no available package for Pop!_OS 24.04 LTS alpha:

```bash
git clone https://github.com/getzola/zola.git
cd zola
cargo install --path . --locked
zola --version
```

### Step 2: Create a New Site

Create a new site using Zola:

```bash
zola init blog
cd blog
git init
echo "public" > .gitignore
```
